Package twisted :: Package enterprise :: Module dbcred :: Class IdentityRow

[show private | hide private]
[frames | no frames]

## Class IdentityRow

    RowObject --+
                |
               IdentityRow

Method Summary
| ``__setattr__`(self, name, value)` Special setattr to prevent changing of key values. (inherited from `RowObject`)
| ``assignKeyAttr`(self, attrName, value)` Assign to a key attribute. (inherited from `RowObject`)
| ``createDefaultAttributes`(self)` Populate instance with default attributes. (inherited from `RowObject`)
| ``findAttribute`(self, attrName)` Find an attribute by caseless name. (inherited from `RowObject`)
| `getKeyTuple(self)` (inherited from `RowObject`)
| ``setDirty`(self, flag)` Use this to set the 'dirty' flag. (inherited from `RowObject`)

Class Variable Summary
`list` | `rowColumns`
`list` | `rowKeyColumns`
`str` | `rowTableName`

Class Variable Details

### rowColumns

  Type:
    `list`
  Value:

        [('identity_name', 'varchar'), ('password', 'varchar')]

### rowKeyColumns

  Type:
    `list`
  Value:

        [('identity_name', 'varchar')]

### rowTableName

  Type:
    `str`
  Value:

        'twisted_identities'

Generated by Epydoc 1.1 on Thu May 8 13:18:21 2003 | http://epydoc.sf.net